org.jboss.jca.adapters.jdbc.jdk7

## Class WrappedCallableStatementJDK7

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.JBossWrapper
  - - org.jboss.jca.adapters.jdbc.WrappedStatement
    - - org.jboss.jca.adapters.jdbc.WrappedPreparedStatement
      - - org.jboss.jca.adapters.jdbc.WrappedCallableStatement
        - - org.jboss.jca.adapters.jdbc.jdk7.WrappedCallableStatementJDK7

- All Implemented Interfaces:
    java.io.Serializable, java.lang.AutoCloseable, java.sql.CallableStatement, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper, StatementAccess

      public class WrappedCallableStatementJDK7
      extends WrappedCallableStatement

  WrappedCallableStatementJDK7.
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.adapters.jdbc.WrappedStatement

      `defaultFetchSize, doLocking, jndiName, spy, spyLogger, spyLoggingCategory`

    - ### Fields inherited from class org.jboss.jca.adapters.jdbc.JBossWrapper

      `bundle`

    - ### Fields inherited from interface java.sql.Statement

      `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappedCallableStatementJDK7(WrappedConnectionJDK7 lc, java.sql.CallableStatement s, boolean spy, java.lang.String jndiName, boolean doLocking)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected WrappedResultSet` | `wrapResultSet(java.sql.ResultSet resultSet, boolean spy, java.lang.String jndiName, boolean doLocking)` Wrap result set

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.WrappedCallableStatement

      `getArray, getArray, getBigDecimal, getBigDecimal, getBigDecimal, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getDate, getDate, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getUnderlyingStatement, getURL, getURL, getWrappedObject, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setURL, wasNull`

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.WrappedPreparedStatement

      `addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.WrappedStatement

      `addBatch, cancel, checkConfiguredQueryTimeout, checkException, checkState, checkTransaction, checkTransactionActive, clearBatch, clearWarnings, close, closeOnCompletion, closeResultSets, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, internalClose, isClosed, isCloseOnCompletion, isPoolable, lock, registerResultSet, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unlock, unregisterResultSet`

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.JBossWrapper

      `isWrapperFor, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.CallableStatement

      `registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setObject, setObject`

    - ### Methods inherited from interface java.sql.PreparedStatement

      `addBatch, clearParameters, execute, executeLargeUpdate, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

    - ### Methods inherited from interface java.sql.Statement

      `addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Constructor Detail

    - #### WrappedCallableStatementJDK7

          public WrappedCallableStatementJDK7(WrappedConnectionJDK7 lc,
                                              java.sql.CallableStatement s,
                                              boolean spy,
                                              java.lang.String jndiName,
                                              boolean doLocking)

      Constructor
      Parameters:
        `lc` - The connection
        `s` - The statement
        `spy` - The spy value
        `jndiName` - The jndi name
        `doLocking` - Do locking

  - ### Method Detail

    - #### wrapResultSet

          protected WrappedResultSet wrapResultSet(java.sql.ResultSet resultSet,
                                                   boolean spy,
                                                   java.lang.String jndiName,
                                                   boolean doLocking)

      Wrap result set
      Specified by:
        `wrapResultSet` in class `WrappedStatement`
      Parameters:
        `resultSet` - The result set
        `spy` - The spy value
        `jndiName` - The jndi name
        `doLocking` - Do locking
      Returns:
        The result

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)